Kirjoittaja Aihe: printterin lisääminen  (Luettu 7761 kertaa)

lauritx

  • Käyttäjä
  • Viestejä: 270
    • Profiili
Vs: printterin lisääminen
« Vastaus #20 : 02.03.17 - klo:11.36 »
https://sites.google.com/site/easylinuxtipsproject/15

Oliskohan apua. Tuntuu olevan monimutkainen se scannerin asennus 64 bittiseen.

spark

  • Käyttäjä
  • Viestejä: 1752
    • Profiili
Vs: printterin lisääminen
« Vastaus #21 : 03.03.17 - klo:21.23 »
Kokeilinpa virtualboxissa tuota asentaa 16.04:n, niin ilmeisesti vika on tuossa nykyisin Ubuntusta puuttuvasta ia32-libs paketissa. Tulostin lähti kyllä tuolla toimimaan, Olikos tuota korvattu nykyisin mitenkään, vai pitääkö se vanha jotenkin kaivaa tähän uuteen?

Koodia: [Valitse]
sudo ./linux-brprinter-installer-2.1.1-1
Input model name ->dcp-7030

You are going to install following packages.
   brdcp7030lpr-2.0.2-1.i386.deb
   cupswrapperDCP7030-2.0.2-1.i386.deb
   brscan3-0.2.13-1.amd64.deb
   brscan-skey-0.2.4-1.amd64.deb
OK? [y/N] ->y

Hit:1 http://fi.archive.ubuntu.com/ubuntu xenial InRelease
Hit:2 http://fi.archive.ubuntu.com/ubuntu xenial-updates InRelease             
Hit:3 http://ppa.launchpad.net/ubuntu-sdk-team/ppa/ubuntu xenial InRelease     
Get:4 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]     
Hit:5 http://fi.archive.ubuntu.com/ubuntu xenial-backports InRelease           
Fetched 102 kB in 1s (83,1 kB/s)                                               
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package ia32-libs is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  lib32ncurses5 lib32z1

E: Package 'ia32-libs' has no installation candidate
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 lib32stdc++6 : Depends: gcc-5-base (= 5.3.1-14ubuntu2) but 5.4.0-6ubuntu1~16.04.2 is to be installed
E: Unable to correct problems, you have held broken packages.
dpkg -x brdcp7030lpr-2.0.2-1.i386.deb /
dpkg -x cupswrapperDCP7030-2.0.2-1.i386.deb /
dpkg-deb: building package 'brdcp7030lpr' in 'brdcp7030lpr-2.0.2-1a.i386.deb'.
dpkg -b ./brother_driver_packdir brdcp7030lpr-2.0.2-1a.i386.deb
dpkg-deb: building package 'cupswrapperdcp7030' in 'cupswrapperDCP7030-2.0.2-1a.i386.deb'.
dpkg -b ./brother_driver_packdir cupswrapperDCP7030-2.0.2-1a.i386.deb
dpkg -i --force-all brdcp7030lpr-2.0.2-1a.i386.deb
(Reading database ... 249106 files and directories currently installed.)
Preparing to unpack brdcp7030lpr-2.0.2-1a.i386.deb ...
Unpacking brdcp7030lpr:i386 (2.0.2-1) over (2.0.2-1) ...
Setting up brdcp7030lpr:i386 (2.0.2-1) ...
ln: failed to create symbolic link '/usr/lib32/libbrcomplpr2.so': File exists
dpkg -i --force-all cupswrapperDCP7030-2.0.2-1a.i386.deb
(Reading database ... 249106 files and directories currently installed.)
Preparing to unpack cupswrapperDCP7030-2.0.2-1a.i386.deb ...
Restarting cups (via systemctl): cups.service.
Unpacking cupswrapperdcp7030:i386 (2.0.2-1) over (2.0.2-1) ...
Setting up cupswrapperdcp7030:i386 (2.0.2-1) ...
Restarting cups (via systemctl): cups.service.
#
Will you specify the Device URI? [Y/n] ->

nm

  • Käyttäjä
  • Viestejä: 16282
    • Profiili
Vs: printterin lisääminen
« Vastaus #22 : 04.03.17 - klo:12.50 »
Koodia: [Valitse]
scanimage -L
Koodia: [Valitse]
sudo scanimage -L
No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).

Voisit vielä katsoa debug-viestit komennoilla:

Koodia: [Valitse]
export SANE_DEBUG_DLL=128
scanimage -L

Ilmeisesti skanneriajurin kirjastot saattavat asentua väärään paikkaan. Näytä nämä tiedostolistaukset:

Koodia: [Valitse]
ls -l /usr/lib64/sane
Koodia: [Valitse]
ls -l /usr/lib/sane
Korjausvinkkejä: https://ubuntuforums.org/showthread.php?t=2321613&page=3&p=13481312#post13481312

spark

  • Käyttäjä
  • Viestejä: 1752
    • Profiili
Vs: printterin lisääminen
« Vastaus #23 : 04.03.17 - klo:22.10 »

Korjausvinkkejä: https://ubuntuforums.org/showthread.php?t=2321613&page=3&p=13481312#post13481312

Näillä riveillä lähti välittömästi skanneri toimimaan Mint 18 ja Ubuntu 16.04  8)

sudo mkdir /usr/lib/sane
sudo cp * /usr/lib64/sane/* /usr/lib/sane/


Päivitin tuon aiemman ohjeenkin.

https://forum.ubuntu-fi.org/index.php?topic=46469.0

jekku

  • Käyttäjä
  • Viestejä: 2624
    • Profiili
Vs: printterin lisääminen
« Vastaus #24 : 05.03.17 - klo:05.33 »

Korjausvinkkejä: https://ubuntuforums.org/showthread.php?t=2321613&page=3&p=13481312#post13481312

Näillä riveillä lähti välittömästi skanneri toimimaan Mint 18 ja Ubuntu 16.04  8)

sudo mkdir /usr/lib/sane
sudo cp * /usr/lib64/sane/* /usr/lib/sane/


Päivitin tuon aiemman ohjeenkin.

https://forum.ubuntu-fi.org/index.php?topic=46469.0

Mahtaisiko toimia jos tuon hakemiston linkittäisi:

Koodia: [Valitse]

sudo ln -s /usr/lib64/sane /usr/lib/sane


On sellainen muistikuva että jossain/joissain tilanteissa olisin vastaavan joutunut tekemään.
Ja softlinkin ideana koin sen että päivittyy "samalla kertaa".

jeisson

  • Käyttäjä
  • Viestejä: 131
    • Profiili
Vs: printterin lisääminen
« Vastaus #25 : 06.03.17 - klo:09.46 »
Hej

Kiitoksia kaikille vastanneille. Skannaus toimii, jos en ihan väärässä ole, niin Cupsien uudelleen asennus taisi olla se resepti.